import type { EggLoadUnitTypeLike, Loader } from '@eggjs/tegg-metadata';
export type LoaderCreator = (unitPath: string) => Loader;
export declare class LoaderFactory {
    private static loaderCreatorMap;
    static createLoader(unitPath: string, type: EggLoadUnitTypeLike): Loader;
    static registerLoader(type: EggLoadUnitTypeLike, creator: LoaderCreator): void;
}
